net.corda.core.serialization

## Class SerializeAsTokenSerializer<T extends SerializeAsToken>

- net.corda.core.serialization.SerializeAsTokenSerializer<T>

-     public class SerializeAsTokenSerializer<T extends SerializeAsToken>

  A Kryo serializer for `interface SerializeAsToken` implementations.

  This is registered in createKryo.

  See Also:
    `interface SerializeAsToken`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SerializeAsTokenSerializer.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SerializeAsTokenSerializer.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializeAsTokenSerializer()` A Kryo serializer for `interface SerializeAsToken` implementations.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<T> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, T obj)`

- - ### Field Detail

    - #### Companion

          public static SerializeAsTokenSerializer.Companion Companion

  - ### Constructor Detail

    - #### SerializeAsTokenSerializer

          public SerializeAsTokenSerializer()

      A Kryo serializer for `interface SerializeAsToken` implementations.

      This is registered in createKryo.

      See Also:
        `interface SerializeAsToken`

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            T obj)

    - #### read

          public T read(com.esotericsoftware.kryo.Kryo kryo,
                        com.esotericsoftware.kryo.io.Input input,
                        java.lang.Class<T> type)